org.apache.cassandra.cql3.statements

## Class ParsedStatement.Prepared

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ParsedStatement.Prepared

Enclosing class:
  ParsedStatement

    public static class ParsedStatement.Prepared
    extends java.lang.Object

### Field Summary

Fields
`java.util.List<ColumnSpecification>` `boundNames`
`CQLStatement` `statement`

### Constructor Summary

Constructors
Constructor and Description
`ParsedStatement.Prepared(CQLStatement statement)`
`ParsedStatement.Prepared(CQLStatement statement, java.util.List<ColumnSpecification> boundNames)`
`ParsedStatement.Prepared(CQLStatement statement, VariableSpecifications names)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### statement

    public final CQLStatement statement

#### boundNames

    public final java.util.List<ColumnSpecification> boundNames

### Constructor Detail

#### ParsedStatement.Prepared

    public ParsedStatement.Prepared(CQLStatement statement,
                            java.util.List<ColumnSpecification> boundNames)

#### ParsedStatement.Prepared

    public ParsedStatement.Prepared(CQLStatement statement,
                            VariableSpecifications names)

#### ParsedStatement.Prepared

    public ParsedStatement.Prepared(CQLStatement statement)